Get a workflow run

gethttps://api.expiryedge.com/v1/getWorkflowRun
any role60/min
Request
curl 'https://api.expiryedge.com/v1/getWorkflowRun?id=run_7Vb3' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "run": {
    "id": "run_7Vb3",
    "workflow_id": "wf_3Kd9Tx",
    "workflow_title": "Annual license renewal",
    "title": "Annual license renewal - 10/15/2026",
    "description": "Steps to renew a state dental license for Northwind Dental.",
    "status": "active",
    "progress": 0,
    "owner_id": "u_71bXq",
    "organization_id": "org_northwind",
    "workflow_type_id": "wtype_R4c2",
    "assignees": [
      "u_71bXq"
    ],
    "tags": [
      "licensing"
    ],
    "total_steps": 4,
    "completed_steps": 0,
    "started_at": "2026-09-27T14:05:00.000Z",
    "created_at": "2026-09-27T14:05:00.000Z",
    "updated_at": "2026-09-27T14:05:00.000Z"
  },
  "sections": [
    {
      "id": "rsec_8Pa1",
      "run_id": "run_7Vb3",
      "workflow_id": "wf_3Kd9Tx",
      "title": "Preparation",
      "description": "",
      "order": 0,
      "created_at": "2026-09-27T14:05:00.000Z",
      "steps": [
        {
          "id": "rstp_2Wd8",
          "run_id": "run_7Vb3",
          "section_id": "rsec_8Pa1",
          "workflow_id": "wf_3Kd9Tx",
          "title": "Collect CE certificates",
          "description": "",
          "status": "todo",
          "priority": "high",
          "order": 0,
          "assignees": [
            "u_71bXq"
          ],
          "dependencies": [],
          "depends_on": null,
          "start_date": null,
          "due_date": "2026-10-22T23:59:59.000Z",
          "start_offset_days": null,
          "due_offset_days": 7,
          "created_at": "2026-09-27T14:05:00.000Z"
        }
      ]
    }
  ]
}

Returns the run and its sections (sorted by order), each with its steps.

Query parameters

  • idstringrequired
    Run id.

Returns

200
The run and its sections.
  • runobjectrequired
    A run (instance) of a workflow template. owner_name, total_steps, completed_steps and progress are recomputed when listed.
  • sectionsarray of objectsrequired

Errors

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
404
The record does not exist or is not in your organization.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.